sigmlinlib

## Class SiGMLInputServiceBase

- java.lang.Object
- - sigmlinlib.SiGMLInputServiceBase

- Direct Known Subclasses:
    SiGMLInputService

      public abstract class SiGMLInputServiceBase
      extends java.lang.Object

  Abstract base class for SiGML input service management: sets up the service input and termination ports, accepts input and processes it using a `SiGMLInputServiceBase.ServiceOperations` set defined in a concrete subclass, continuing until a termination signal is received.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static interface` | `SiGMLInputServiceBase.ServiceOperations` The pluggable set of operations that determine how the input service thread processes the sequence of client connections to the input service.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SiGMLInputServiceBase(boolean rprt, java.lang.String rprttag, int inport, int stopport, SiGMLInputServiceBase.ServiceOperations sops)` Starts a new SiGML input service, with the given reporting flag, using the given input and termination TCP/IP port numbers, and communicating input and other service life-cycle events to the given handler.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `shutDown(boolean wait)` Shuts down the input service, waiting for termination of the input thread or not, as specified by `wait`.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SiGMLInputServiceBase

          public SiGMLInputServiceBase(boolean rprt,
                                       java.lang.String rprttag,
                                       int inport,
                                       int stopport,
                                       SiGMLInputServiceBase.ServiceOperations sops)
                                throws java.io.IOException

      Starts a new SiGML input service, with the given reporting flag, using the given input and termination TCP/IP port numbers, and communicating input and other service life-cycle events to the given handler.
      Throws:
        `java.io.IOException`

  - ### Method Detail

    - #### shutDown

          public void shutDown(boolean wait)
                        throws java.io.IOException

      Shuts down the input service, waiting for termination of the input thread or not, as specified by `wait`.
      Throws:
        `java.io.IOException`